=== src/dde-desktop/CMakeLists.txt ===
option(OPT_ENABLE_VIDEOWALLPAPER OFF)

if (OPT_ENABLE_VIDEOWALLPAPER)
    add_subdirectory(ddplugin-videowallpaper)
endif()
