=== src/dde-file-manager-daemon/CMakeLists.txt ===
if (OPT_ENABLE_OLDENCRYPTPLUGIN)
    add_subdirectory(daemonplugin-file-encrypt)
endif()
