=== src/dde-file-manager/CMakeLists.txt ===
add_subdirectory(dfmplugin-disk-encrypt-entry)
add_subdirectory(dfmplugin-encrypt-manager)
add_subdirectory(dfmplugin-cooperation)
