=== src/demo/CMakeLists.txt ===
add_subdirectory(dfmplugin-encrypt-manager-demo)
