=== src/service/CMakeLists.txt ===
if (NOT OPT_ENABLE_OLDENCRYPTPLUGIN)
    add_subdirectory(diskencrypt)
endif()
