=== debian/changelog ===
dde-file-manager-extensions (1.5.0-1) unstable; urgency=medium

  * update version to 1.5.0

 -- liuyangming <liuyangming@uniontech.com>  Fri, 06 Sep 2024 18:55:09 +0800

dde-file-manager-extensions (1.1.19) unstable; urgency=medium

  * update change log to 1.1.19
  * 

 -- liuyangming <liuyangming@uniontech.com>  Thu, 05 Sep 2024 22:31:06 +0800

dde-file-manager-extensions (1.1.18) unstable; urgency=medium

  * update change log to 1.1.18

 -- gongheng <gongheng@uniontech.com>  Tue, 30 Jul 2024 15:48:03 +0800

dde-file-manager-extensions (1.1.17) unstable; urgency=medium

  * update change log to 1.1.17

 -- gongheng <gongheng@uniontech.com>  Tue, 30 Jul 2024 15:38:34 +0800

dde-file-manager-extensions (1.1.16) unstable; urgency=medium

  * install video wallpaper for all edtion.
  * 

 -- zhangyu <zhangyub@uniontech.com>  Wed, 29 May 2024 10:39:23 +0800

dde-file-manager-extensions (1.1.15) unstable; urgency=medium

  * disable encrypt feature by default.
  * 

 -- xushitong <xushitong@uniontech.com>  Mon, 15 Apr 2024 16:43:48 +0800

dde-file-manager-extensions (1.1.14) unstable; urgency=medium

  * fix some issue on cooperation.

 -- liujinchang <liujinchang@uniontech.com>  Apr, 10 Wed 17:36:22 2024 +0800

dde-file-manager-extensions (1.1.13) unstable; urgency=medium

  * fix fatal issue on decrypt.
  * 
  * 

 -- xushitong <xushitong@uniontech.com>  Mon, 08 Apr 2024 14:34:09 +0800

dde-file-manager-extensions (1.1.12) unstable; urgency=medium

  * decrypt by PARTUUID
  * 

 -- xushitong <xushitong@uniontech.com>  Wed, 27 Mar 2024 17:09:34 +0800

dde-file-manager-extensions (1.1.11) unstable; urgency=medium

  * ux optimize.
  * 

 -- xushitong <xushitong@uniontech.com>  Wed, 13 Mar 2024 15:44:35 +0800

dde-file-manager-extensions (1.1.10) unstable; urgency=medium

  * check partition status before decrypt
  * 

 -- xushitong <xushitong@uniontech.com>  Fri, 01 Mar 2024 17:52:32 +0800

dde-file-manager-extensions (1.1.9) unstable; urgency=medium

  * support re-encrypt after interrupted.

 -- xushitong <xushitong@uniontech.com>  Fri, 23 Feb 2024 14:38:18 +0800

dde-file-manager-extensions (1.1.8) unstable; urgency=medium

  * encrypt fstab device without presetted key

 -- xushitong <xushitong@uniontech.com>  Sun, 04 Feb 2024 16:01:23 +0800

dde-file-manager-extensions (1.1.7) unstable; urgency=medium

  * disable encrypt root(/) and recovery(/recovery) partition.

 -- xushitong <xushitong@uniontech.com>  Thu, 18 Jan 2024 16:40:13 +0800

dde-file-manager-extensions (1.1.6) unstable; urgency=medium

  * fix some issues

 -- xushitong <xushitong@uniontech.com>  Thu, 21 Dec 2023 14:18:22 +0800

dde-file-manager-extensions (1.1.5) unstable; urgency=medium

  * save tpm info in header token 

 -- xushitong <xushitong@uniontech.com>  Sun, 10 Dec 2023 17:05:44 +0800

dde-file-manager-extensions (1.1.4) unstable; urgency=medium

  * fstab device encryption support 

 -- xushitong <xushitong@uniontech.com>  Wed, 29 Nov 2023 10:09:00 +0800

dde-file-manager-extensions (1.1.3) unstable; urgency=medium

  * fix some issues.
  * 

 -- xushitong <xushitong@uniontech.com>  Wed, 22 Nov 2023 14:55:28 +0800

dde-file-manager-extensions (1.1.2) unstable; urgency=medium

  * fix issues and write fstab device encrypt task.
  * 

 -- xushitong <xushitong@uniontech.com>  Wed, 15 Nov 2023 21:25:33 +0800

dde-file-manager-extensions (1.1.1) unstable; urgency=medium

  * fix plenty of issues
  * 

 -- xushitong <xushitong@unointech.com>  Tue, 14 Nov 2023 21:14:28 +0800

dde-file-manager-extensions (1.1.0) unstable; urgency=medium

  * Update baesline version of 1070
  * 

 -- xushitong <xushitong@uniontech.com>  Thu, 09 Nov 2023 16:09:19 +0800

dde-file-manager-extensions (1.0.0) unstable; urgency=medium

  * Update baseline of feature disk encryption.
  *
  * 

 -- xushitong <xushitong@uniontech.com>  Wed, 08 Nov 2023 16:19:22 +0800
