=== debian/control ===
Source: dde-file-manager-extensions
Priority: optional
Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
Build-Depends:
 cmake,
 pkg-config,
 debhelper (>= 11),
 qtbase5-dev,
 qttools5-dev,
 libdtkwidget-dev,
 libdtkcore-dev,
 libdtkcore5-bin,
 libdfm-mount-dev,
 libdfm-io-dev,
 dde-file-manager-dev,
 libcryptsetup-dev (>= 2:2.3.7),
 libdeepin-service-framework-dev
Standards-Version: 4.1.3
Section: libs
Homepage: http://www.deepin.org

Package: dfmplugin-disk-encrypt
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 tpm2-abrmd,
 libtss2-tcti-pcap0,
 libtss2-tcti-tabrmd0
Description: Device encrypt plugin for dde-file-manager
 A plugin for dde-file-manager to encrypt disks.


Package: dfmplugin-cooperation
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dde-cooperation-transfer
Description: Deepin file manager deliver file with cooperation
 A plugin for dde-file-manager to delivery file via cooperation.
 
Package: dde-desktop-videowallpaper-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Video wallpaper plugin for DDE Desktop.
